function Create(self)

   self.delayTimer = Timer();

   self.delayTime = 100; -- Delay time in MS before prox sensor starts

   self.pointCount = 50; -- number of points in the spiral
   self.spiralScale = 5; -- spiral scale
   self.skipPoints = 5; -- skips the first X points

end

function Update(self)

   if self.delayTimer:IsPastSimMS(self.delayTime) then
      for i = self.skipPoints, self.pointCount - 1 do
         local radius = self.spiralScale*math.sqrt(i);
         local angle = i * 137.508;
         local checkPos = self.Pos + Vector(radius,0):DegRotate(angle);
         if SceneMan.SceneWrapsX == true then
            if checkPos.X > SceneMan.SceneWidth then
               checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
            elseif checkPos.X < 0 then
               checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
            end
         end
         local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
         if moCheck ~= 255 then
            local actor = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
            if actor.Team ~= self.Team then
               self:GibThis();
               break;
            end
         end
      end
   end

end