function Create(self)

   self.delayTimer = Timer();

   self.delayTime = 100; -- Delay time in MS before prox sensor starts

   self.pointCount = 50; -- number of points in the spiral
   self.spiralScale = 5; -- spiral scale
   self.skipPoints = 5; -- skips the first X points

end

function Update(self)
	-- rings
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength = math.floor(Offset.Magnitude+0.5)
	for i = 1, trailLength, 100 do
		Effect = CreateAEmitter("Ellipse Emitter", "ATech.rte")
		if Effect then
			Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			Effect.Vel = self.Vel * RangeRand(0.1, 0.1)
			MovableMan:AddParticle(Effect)
		end
	end

	-- beam trail
	local Effect2
	local Offset2 = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength2 = math.floor(Offset.Magnitude+0.5)
	for i = 1, trailLength2, 1 do
		Effect2 = CreateMOSParticle("RSR Trail", "ATech.rte")
		if Effect2 then
			Effect2.Pos = self.Pos - Offset * (i/trailLength2) -- + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			--Effect2.Vel = self.Vel * RangeRand(0.1, 0.1)
			MovableMan:AddParticle(Effect2)
		end
	end

	--proxy!
   if self.delayTimer:IsPastSimMS(self.delayTime) then
      for i = self.skipPoints, self.pointCount - 1 do
         local radius = self.spiralScale*math.sqrt(i);
         local angle = i * 137.508;
         local checkPos = self.Pos + Vector(radius,0):DegRotate(angle);
         if SceneMan.SceneWrapsX == true then
            if checkPos.X > SceneMan.SceneWidth then
               checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
            elseif checkPos.X < 0 then
               checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
            end
         end
         local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
         if moCheck ~= 255 then
            local actor = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
            if actor.Team ~= self.Team then
               self:GibThis();
               break;
            end
         end
      end
   end

end
